@use '@angular/material' as mat;
@include mat.core();

$todo-primary: mat.define-palette(mat.$blue-palette, A200, A100, A400);
$todo-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$todo-warn: mat.define-palette(mat.$red-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$todo-theme: mat.define-light-theme((
  color: (
    primary: $todo-primary,
    accent: $todo-accent,
    warn: $todo-warn,
  ),
  typography: mat.define-typography-config(),
  density: 0
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($todo-theme);
